//Alexandru Cazacu O(N)
#include <algorithm>
#include <cstdio>
#include <string.h>
using namespace std;

#define NMAX 1000010

int N;
char A[NMAX], B[NMAX], C[NMAX];
int same[NMAX], difb[NMAX], difc[NMAX], difa[NMAX];
int diff;
char sol[NMAX];

void solve (char *A, char *B, char *C) {

	char curr[NMAX];
	memcpy (curr, A, sizeof (curr));

	same[0] = difb[0] = difc[0] = difa[0] = 0;
	int distb = 0, distc = 0;
	for (int i = 0; i < N; i++) {
		if (B[i] == C[i]) {
			if (B[i] != A[i]) same[ ++same[0] ] = i, distb++, distc++;
		}
		else {
			if (B[i] != A[i] && C[i] == A[i]) difb[ ++difb[0] ] = i, distb++;
		    if (C[i] != A[i] && B[i] == A[i])  difc[ ++difc[0] ] = i, distc++;

			if (B[i] != A[i] && C[i] != A[i]) difa[ ++difa[0] ] = i, distb++, distc++;
		}
	}

    if (distb == 0 && distc == 0) {diff = 0; return ;}

	int k, i;
	for (k = 0, i = 1; k < max (distb, distc) && i <= same[0]; k++, i++) {
		distb--;
		distc--;
		curr[ same[i] ] = B[ same[i] ];
	}

	if (i <= same[0]) {
		if (diff > k) {
			diff = k;
			memcpy (sol, curr, sizeof (sol));
		}
	    return ;
	}


 	for (; k < max (distb, distc); k++) {
		if (distb > distc) {
			if (difa[0] == 0) break;
			distb--;
			curr[ difa[ difa[0] ] ] = B[ difa[ difa[0] ]  ];
			difa[0]--;
		}
		else {
			if (difa[0] == 0) break;
		    distc--;
			curr[ difa[ difa[0] ] ] = C[ difa[ difa[0] ]  ];
			difa[0]--;
		}
	}

 	for (; k < max (distb, distc); k++) {

		if (distb > distc) {
			if (difb[0] == 0) break;
			distb--;
			distc++;
			curr[ difb[ difb[0] ] ] = B[ difb[ difb[0] ]  ];
			difb[0]--;
		}
		else {
			if (difc[0] == 0) break;
		    distc--;
			distb++;
			curr[ difc[ difc[0] ] ] = C[ difc[ difc[0] ]  ];
			difc[0]--;
		}
	}

	k = max (k, max(distb, distc));

	if (diff > k) {
		diff = k;
		memcpy (sol, curr, sizeof (sol));
	}

	/*
	int z = 0, x = 0, c = 0;
	for (i = 0; i < N; i++) {
		if (curr[i] != A[i]) z++;
		if (curr[i] != B[i]) x++;
		if (curr[i] != C[i]) c++;
	}

 //   printf ("%d %d %d\n", z, x ,c);*/
}

void readData () {

	scanf ("%d", &N);
	scanf ("%s\n%s\n%s", A, B, C);
}

int main () {

	freopen ("cstring.in", "r", stdin);
	freopen ("cstring.out", "w", stdout);

	readData ();

    //printf ("%d\n", min ( min (solve (A, B, C) , solve (B, A, C)), solve (C, A, B)));
    diff = N;
	solve (A, B, C),solve (B, A, C), solve (C, A, B);
	//printf ("%s\n%d", sol, diff);
    printf ("%s\n", sol);

	return 0;
}
